/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_NIVELPRODSEG                                             */
/* Tabela : NIVELPRODSEG                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_NIVELPRODSEG'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_NIVELPRODSEG
GO

CREATE TRIGGER DTULTATU_NIVELPRODSEG
ON NIVELPRODSEG
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'NIVELPRODSEG', null, 'CDSEGMER=' + CDSEGMER + ';' +
                                           'CDPRODUTO='+ CDPRODUTO+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE NIVELPRODSEG
      SET DTULTATUNSEG = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(NIVELPRODSEG.CDPRODUTO,0) = ISNULL(INSERTED.CDPRODUTO,0)) AND
            (ISNULL(NIVELPRODSEG.CDSEGMER,0)  = ISNULL(INSERTED.CDSEGMER,0));
   END;
END;
GO

